aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAlex Xu (Hello71) <alex_y_xu@yahoo.ca>2022-03-28 15:43:31 -0400
committerAlex Xu (Hello71) <alex_y_xu@yahoo.ca>2022-03-28 15:43:31 -0400
commit802baa8b6bb70e58e8415c48ec518d4a9f5acfa8 (patch)
tree817caf0f7ccc8b6289855dba1f317101303dce9c /scripts
parent62fb18497944382219adac9052f9668fdcb1894d (diff)
downloadtor-802baa8b6bb70e58e8415c48ec518d4a9f5acfa8.tar.gz
tor-802baa8b6bb70e58e8415c48ec518d4a9f5acfa8.zip
ci: print test_network_log contents
cat will always print "cat: test_network_log: Is a directory". change it to head -n -0, which is arguably not the perfect format but is at least somewhat useful.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/ci-driver.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/ci/ci-driver.sh b/scripts/ci/ci-driver.sh
index 09696924ba..eea98baae7 100755
--- a/scripts/ci/ci-driver.sh
+++ b/scripts/ci/ci-driver.sh
@@ -442,7 +442,7 @@ if [[ "${CHUTNEY}" = "yes" ]]; then
runcmd "${CHUTNEY_PATH}"/tools/diagnostics.sh || true
# XXXX These next two should be part of a make target.
runcmd ls test_network_log || true
- runcmd cat test_network_log || true
+ runcmd head -n -0 test_network_log/* || true
FAILED_TESTS="${FAILED_TESTS} chutney"
fi
end_section "Chutney"